BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 10-26-2010, 05:59 AM   #1 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default Cdo 6.5.7654.1

Please Login to Remove!

Hi, trying to locate the CDO.DLL of 6.5.7654.1 as the Exchange servers are currently at 6.5.7655.7 and the BES are still at 6.5.7638.2.

I cant upgrade to exchangemapicdo 1.2.1 as the Exchange admin arent prepared to alter their setup as they have had numerous problems of late.

Exchnagemapicdo 1.2.1 was installed on the BES as the mapi is currently 1.0.2536.0 but the CDO of 6.5.7638.2 was used instead of the newer version as the Exchange servers were at the same level but have since been upgraded. Unfortunately, they didnt inform us!

Or, can i copy the current CDO of 6.5.7655.7 from the exchange server onto the BES and register it?
Offline  
Old 10-26-2010, 06:20 AM   #2 (permalink)
BlackBerry Extraordinaire
 
CanuckBB's Avatar
 
Join Date: Feb 2006
Location: YYZ
Model: 9900
Carrier: Rogers
Posts: 1,183
Post Thanks: 0
Thanked 2 Times in 2 Posts
Default

mapicdo 1.2.1 is the latest. Just install that. Nothing needs to be done to the Exchange server.
Offline  
Old 10-26-2010, 06:56 AM   #3 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

But does that include the CDO of 6.5.8*** which will put the BES higher than the Exchange CDO?

Last edited by ppittman : 10-26-2010 at 07:10 AM.
Offline  
Old 10-26-2010, 10:12 AM   #4 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

OK, any problems with having 6.5.8039.0 on the BES and 6.5.7655.7 on the Exchange server?
Offline  
Old 10-26-2010, 10:58 AM   #5 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,557
Post Thanks: 256
Thanked 260 Times in 246 Posts
Default

What version of Exchange?

For the most part CDO 1.2.1 is backwards compatable, but I have seen some issues with 2003 and 2007.

I am still using ESM with SP2 applied and ran Microsoft update after (knot windows update).
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Z30, Z10 and Q10
Online  
Old 10-26-2010, 11:00 AM   #6 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Exchange 2003 SP2 at the moment. Unfortunately, we cannot make any changes to the exchange server.
Offline  
Old 10-26-2010, 12:05 PM   #7 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,557
Post Thanks: 256
Thanked 260 Times in 246 Posts
Default

you dont need to make any changes to exchange, just on BES server.

KB15779-How to install or upgrade the Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Z30, Z10 and Q10
Online  
Old 10-26-2010, 01:45 PM   #8 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

For some reason CDO 1.2.1 had already been installed but cdo.dll was currently at version 6.5.7638.2. I think this may have been due to the exchange server having the same on it at the time of the 4.1.6 upgrade but has since had new patches etc. installed.

I have just registered manually the 6.5.8039.0 cdo.dll, rebooted and can see the new setting in the MAGT log files.

Will see if this makes a difference to the DST issue.

And yes it has! Calendar entries entered on the handheld are now displaying at the correct time in the users Outlook and not an hour in front.
Offline  
Old 10-26-2010, 03:25 PM   #9 (permalink)
BlackBerry Extraordinaire
 
CanuckBB's Avatar
 
Join Date: Feb 2006
Location: YYZ
Model: 9900
Carrier: Rogers
Posts: 1,183
Post Thanks: 0
Thanked 2 Times in 2 Posts
Default

I've ran the 1.2.1 package on a BES with 2007 SP@ with no issue.

For a 2003 SP2 install, the safest way is to install ESM SP2 on the BES, and patch BES at the same time as Exchange.
Offline  
Old 10-27-2010, 01:33 AM   #10 (permalink)
Thumbs Must Hurt
 
ppittman's Avatar
 
Join Date: Apr 2007
Location: London
Model: 8100
Carrier: Vodafone
Posts: 53
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Couldnt load ESM SP2 as the servers are 64bit.

Just trying to work out why the original BES admin guy would install 1.2.1 but use an old cdo.dll?

Its all working now tho.
Offline  
Old 10-27-2010, 08:42 AM   #11 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,557
Post Thanks: 256
Thanked 260 Times in 246 Posts
Default

Quote:
Originally Posted by ppittman View Post
Couldnt load ESM SP2 as the servers are 64bit.

Just trying to work out why the original BES admin guy would install 1.2.1 but use an old cdo.dll?

Its all working now tho.
Maybe at the times that was the only version and after exchange was patched, it was older than exchange
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Z30, Z10 and Q10
Online  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.